Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 1776843003: Re-land enabling wheel gestures on all platforms. (Closed)

Created:
3 years, 4 months ago by dtapuska
Modified:
3 years, 4 months ago
Reviewers:
tdresser
CC:
chromium-reviews, darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master_wheel_regression_4
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Re-land enabling wheel gestures on all platforms. Changes since last attempt in https://codereview.chromium.org/1724783002/ MacOSX implementation has landed in https://codereview.chromium.org/1749343004/ The Android perf regression has been eliminated because the default wheel transaction is set to 0. The perf regression was because the wheel transaction time was added to the total time of the test. Attention perf sherrifs; a minor perf regression is expected in this change. 8-10% when locally on my Nexus 5; this minor regression is anticipated because of the new code paths. BUG=568183 Committed: https://crrev.com/ca4feba9a31e10d1baab5813650c192e06cfd643 Cr-Commit-Position: refs/heads/master@{#382345}

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M content/common/input/input_event_utils.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 13 (6 generated)
dtapuska
3 years, 4 months ago (2016-03-15 15:32:18 UTC) #3
tdresser
8-10% is worse than I was hoping for, but I think this is worth the ...
3 years, 4 months ago (2016-03-15 15:36:38 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1776843003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1776843003/40001
3 years, 4 months ago (2016-03-21 18:54:01 UTC) #7
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 4 months ago (2016-03-21 18:59:29 UTC) #9
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/ca4feba9a31e10d1baab5813650c192e06cfd643 Cr-Commit-Position: refs/heads/master@{#382345}
3 years, 4 months ago (2016-03-21 19:00:53 UTC) #11
tdresser
On 2016/03/21 19:00:53, commit-bot: I haz the power wrote: > Patchset 3 (id:??) landed as ...
3 years, 4 months ago (2016-03-21 19:39:45 UTC) #12
dtapuska
3 years, 4 months ago (2016-03-21 19:52:23 UTC) #13
Message was sent while issue was closed.
On 2016/03/21 19:39:45, tdresser wrote:
> On 2016/03/21 19:00:53, commit-bot: I haz the power wrote:
> > Patchset 3 (id:??) landed as
> > https://crrev.com/ca4feba9a31e10d1baab5813650c192e06cfd643
> > Cr-Commit-Position: refs/heads/master@{#382345}
> 
> How do the wheel
> gesture results compare to the touch gesture results? Wheel gestures should be
> no worse than touch, correct?

Wheel gesture events should be the same as touch gesture results; the test
doesn't explicitly measure them. We are only testing the wheel gestures in the
hover case; but I can try enabling it in a trybot.

Powered by Google App Engine
This is Rietveld 408576698